com.lowagie.toolbox

## Class Toolbox.Console

- java.lang.Object
- - com.lowagie.toolbox.Toolbox.Console

- Enclosing class:
    Toolbox

      public class Toolbox.Console
      extends java.lang.Object

  A Class that redirects output to System.out and System.err.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `(package private) class` | `Toolbox.Console.ErrorContext`
    `(package private) class` | `Toolbox.Console.ReaderThread`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `(package private) Toolbox.Console.ErrorContext` | `errorcontext`
    `(package private) java.io.PrintStream` | `orierr`
    `(package private) java.io.PrintStream` | `oriout`
    `(package private) java.io.PipedInputStream` | `piErr`
    `(package private) java.io.PipedInputStream` | `piOut`
    `(package private) java.io.PipedOutputStream` | `poErr`
    `(package private) java.io.PipedOutputStream` | `poOut`
    `(package private) javax.swing.JTextPane` | `textArea`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Toolbox.Console()` Creates a new Console object.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### piOut

          java.io.PipedInputStream piOut

    - #### piErr

          java.io.PipedInputStream piErr

    - #### poOut

          java.io.PipedOutputStream poOut

    - #### poErr

          java.io.PipedOutputStream poErr

    - #### errorcontext

          Toolbox.Console.ErrorContext errorcontext

    - #### textArea

          javax.swing.JTextPane textArea

    - #### oriout

          java.io.PrintStream oriout

    - #### orierr

          java.io.PrintStream orierr

  - ### Constructor Detail

    - #### Toolbox.Console

          public Toolbox.Console()
                          throws java.io.IOException

      Creates a new Console object.
      Throws:
        `java.io.IOException`